﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>9.0.30729</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{E86E215D-E3CE-4244-978D-555D4E17AC09}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>HeuristicLab.Problems.ExternalEvaluation.GP</RootNamespace>
    <AssemblyName>HeuristicLab.Problems.ExternalEvaluation.GP-3.3</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <TargetFrameworkProfile>
    </TargetFrameworkProfile>
    <FileAlignment>512</FileAlignment>
    <SignAssembly>true</SignAssembly>
    <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
    <OldToolsVersion>3.5</OldToolsVersion>
    <UpgradeBackupLocation />
    <PublishUrl>publish\</PublishUrl>
    <Install>true</Install>
    <InstallFrom>Disk</InstallFrom>
    <UpdateEnabled>false</UpdateEnabled>
    <UpdateMode>Foreground</UpdateMode>
    <UpdateInterval>7</UpdateInterval>
    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
    <UpdatePeriodically>false</UpdatePeriodically>
    <UpdateRequired>false</UpdateRequired>
    <MapFileExtensions>true</MapFileExtensions>
    <ApplicationRevision>0</ApplicationRevision>
    <ApplicationVersion>1.0.0.%2a</ApplicationVersion>
    <IsWebBootstrapper>false</IsWebBootstrapper>
    <UseApplicationTrust>false</UseApplicationTrust>
    <BootstrapperEnabled>true</BootstrapperEnabled>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\x86\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>x86</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
    <OutputPath>bin\x86\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>x86</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x64' ">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\x64\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>x64</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x64' ">
    <OutputPath>bin\x64\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>x64</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Xml.Linq">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Data.DataSetExtensions">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <None Include="HeuristicLabProblemsExternalEvaluationGPPlugin.cs.frame" />
    <Compile Include="Grammar\FullFunctionalExpressionGrammar.cs" />
    <Compile Include="Grammar\TypeCoherentExpressionGrammar.cs" />
    <Compile Include="HeuristicLabProblemsExternalEvaluationGPPlugin.cs" />
    <Compile Include="Interpretation\ITreeInterpreter.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Interpretation\TreeInterpreter.cs" />
    <None Include="Properties\AssemblyInfo.frame" />
    <Compile Include="SymbolicExpressionTreeBinaryConverter.cs" />
    <Compile Include="SymbolicExpressionTreeConverter.cs" />
    <Compile Include="SymbolicExpressionTreeStringConverter.cs" />
    <Compile Include="Symbols\Addition.cs" />
    <Compile Include="Symbols\And.cs" />
    <Compile Include="Symbols\Average.cs" />
    <Compile Include="Symbols\Constant.cs" />
    <Compile Include="Symbols\ConstantTreeNode.cs" />
    <Compile Include="Symbols\Cosine.cs" />
    <Compile Include="Symbols\Division.cs" />
    <Compile Include="Symbols\Exponential.cs" />
    <Compile Include="Symbols\GreaterThan.cs" />
    <Compile Include="Symbols\IfThenElse.cs" />
    <Compile Include="Symbols\LessThan.cs" />
    <Compile Include="Symbols\Logarithm.cs" />
    <Compile Include="Symbols\Multiplication.cs" />
    <Compile Include="Symbols\Not.cs" />
    <Compile Include="Symbols\Or.cs" />
    <Compile Include="Symbols\Sine.cs" />
    <Compile Include="Symbols\Subtraction.cs" />
    <Compile Include="Symbols\Tangent.cs" />
    <Compile Include="Symbols\Variable.cs" />
    <Compile Include="Symbols\VariableTreeNode.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\HeuristicLab.Collections\3.3\HeuristicLab.Collections-3.3.csproj">
      <Project>{958B43BC-CC5C-4FA2-8628-2B3B01D890B6}</Project>
      <Name>HeuristicLab.Collections-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\HeuristicLab.Common\3.3\HeuristicLab.Common-3.3.csproj">
      <Project>{A9AD58B9-3EF9-4CC1-97E5-8D909039FF5C}</Project>
      <Name>HeuristicLab.Common-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\HeuristicLab.Core\3.3\HeuristicLab.Core-3.3.csproj">
      <Project>{C36BD924-A541-4A00-AFA8-41701378DDC5}</Project>
      <Name>HeuristicLab.Core-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\HeuristicLab.Encodings.SymbolicExpressionTreeEncoding\3.3\HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.3.csproj">
      <Project>{125D3006-67F5-48CB-913E-73C0548F17FA}</Project>
      <Name>HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\HeuristicLab.ExtLibs\HeuristicLab.ProtobufCS\0.9.1\HeuristicLab.ProtobufCS\HeuristicLab.ProtobufCS-0.9.1.csproj">
      <Project>{236459CE-80CF-4991-972F-DE74C826BCCC}</Project>
      <Name>HeuristicLab.ProtobufCS-0.9.1 %28HeuristicLab.ExtLibs\HeuristicLab.ProtobufCS\HeuristicLab.ProtobufCS-0.9.1\HeuristicLab.ProtobufCS-0.9.1%29</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\HeuristicLab.ExtLibs\HeuristicLab.ProtobufCS\0.9.1\ProtobufCS\src\ProtocolBuffers\ProtocolBuffers.csproj">
      <Project>{6908BDCE-D925-43F3-94AC-A531E6DF2591}</Project>
      <Name>ProtocolBuffers</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\HeuristicLab.Persistence\3.3\HeuristicLab.Persistence-3.3.csproj">
      <Project>{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B}</Project>
      <Name>HeuristicLab.Persistence-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\HeuristicLab.PluginInfrastructure\3.3\HeuristicLab.PluginInfrastructure-3.3.csproj">
      <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
      <Name>HeuristicLab.PluginInfrastructure-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\HeuristicLab.Problems.ExternalEvaluation\3.3\HeuristicLab.Problems.ExternalEvaluation-3.3.csproj">
      <Project>{25735DB4-8E54-4A2C-83E3-A60C76565E55}</Project>
      <Name>HeuristicLab.Problems.ExternalEvaluation-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\HeuristicLab.Random\3.3\HeuristicLab.Random-3.3.csproj">
      <Project>{F4539FB6-4708-40C9-BE64-0A1390AEA197}</Project>
      <Name>HeuristicLab.Random-3.3</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <None Include="HeuristicLab.snk" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="Grammar\FullGrammar.txt" />
  </ItemGroup>
  <ItemGroup>
    <BootstrapperPackage Include="Microsoft.Net.Client.3.5">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1 Client Profile</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5.SP1">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Windows.Installer.3.1">
      <Visible>False</Visible>
      <ProductName>Windows Installer 3.1</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
  <PropertyGroup>
    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
set ProjectDir=$(ProjectDir)
set SolutionDir=$(SolutionDir)
call "$(ProjectDir)Protos\ProcessProtos.cmd"

call PreBuildEvent.cmd
SubWCRev "%25ProjectDir%25\" "%25ProjectDir%25\HeuristicLabProblemsExternalEvaluationGPPlugin.cs.frame" "%25ProjectDir%25\HeuristicLabProblemsExternalEvaluationGPPlugin.cs"</PreBuildEvent>
  </PropertyGroup>
</Project>